SQOOP-JOB(1)

NAME
sqoop-job - Define, execute, and manipulate saved Sqoop jobs.

SYNOPSIS

sqoop-job <generic-options> <tool-options> [-- [<subtool-name>] <subtool-options>]

sqoop job <generic-options> <tool-options> [-- [<subtool-name>] <subtool-options>]

DESCRIPTION

The job tool allows you to create and work with saved jobs. Saved jobs remember the parameters used to specify a job, so they can be re-executed by invoking the job by its handle.

If a saved job is configured to perform an incremental import, state regarding the most recently imported rows is updated in the saved job to allow the job to continually import only the newest rows.

OPTIONS

One of the job operation arguments is required.

  Job management options

--create (job-id)
    Define a new saved job with the specified job-id (name). A second Sqoop command-line, separated by a -- should be specified; this defines the saved job.

--delete (job-id)
    Delete a saved job. (This deletes the job definition, but does not remove any data from HDFS.)

--exec (job-id)
    Given a job id defined with --create, run the saved job. Any arguments following a -- are applied on top of the saved job, overriding the saved parameters.

--show (job-id)
    Shows the parameters for a saved job

--list
    List all saved jobs

  Metastore connection options

By default, Sqoop will use a private, local embedded database to store saved jobs. An alternate metastore can be configured in conf/sqoop-site.xml. You can also specify the metastore connect string here:

--meta-connect (jdbc-uri)
    Specifies the JDBC connect string used to connect to the metastore

  Common options

--help
    Print usage instructions

--verbose
    Print more information while working

ENVIRONMENT

See sqoop(1)

AUTHOR

Sqoop Team
    Author.